Вопросы с тегом 'macos-high-sierra'

Четырнадцатый выпуск настольной и серверной операционной системы Apple для компьютеров Macintosh. Используйте этот тег, только если ваш вопрос касается использования macOS High Sierra API или специфического поведения macOS High Sierra. Вопросы, связанные с использованием или устранением неполадок macOS, не относятся к теме.
15
ответов

Инструменты командной строки не работают - OS X El Capitan, Sierra, High Sierra, Mojave

Я только что обновил от Yosemite до El Capitan (и воспроизвел проблему с El Capitan до Sierra), и когда я пытаюсь ввести, например, git status внутри терминала, я получаю следующую ошибку: xcrun: error: invalid active developer path (/Library/Deve...
задан 01 окт. '15 в 20:28
14
ответов

CocoaPods не работают в macOS High Sierra

После обновления до macOS High Sierra CocoaPods не работает. Хотя заманчиво отойти от CocoaPods, к сожалению, сейчас это не так. Сообщение об ошибке ниже. zsh: /Users/****/.gems/bin/pod: bad interpreter: /System/Library/Frameworks/Ruby.framework/Ver...
задан 06 июня '17 в 20:26
6
ответов

MySQL Workbench (6.3.9) несовместим с MacOS High Sierra?

Сегодня утром я обновил свой MacBook до High Sierra (Version 10.13) Теперь мой MySQL workbench (6.3.9) ведет себя странно после обновления этой ОС... 1) Когда открыт новый и выполненный простой оператор select, workbench не показывает сетку резуль...
задан 26 сент. '17 в 9:44
4
ответов

Внутренняя ошибка Eclipse "Опрос новостей"

Я использую Eclipse (4.9.0) на своем MacBook (High Sierra, Java 11), и эта ошибка иногда появляется, если я нахожусь в другом приложении, ошибки создают "стек", как вы видите на скриншоте, это раздражает возвращаться в Eclipse и каждый раз закрывать...
задан 27 сент. '18 в 5:51
11
ответов

ERROR in Не удается найти модуль 'node-sass'

Config: macOS High Sierra, версия 10.13.2, node: v8.1.2 npm: 5.0.3 Когда я запускаю запуск npm в моем проекте angularjs, я получаю эту ошибку: ERROR in Cannot find module 'node-sass' После этого я запускаю: npm i node-sass Теперь я получаю эту о...
задан 08 янв. '18 в 12:59
2
ответов

Как включить темный режим для Xcode 10

Apple анонсировала новый темный режим для Xcode 10. Я загрузил бета-версию, но теперь я не могу найти ее, чтобы включить ее. Я сейчас на macOS 10.13 High Sierra.
задан 05 июня '18 в 12:40
7
ответов

Не удается запустить AVD на macOS 10.13

Я создал несколько AVD в Android 3.0, но я не могу их запускать. Я использовал следующую команду для их запуска: ./emulator @Nexus_5X_API_17 журналы: emulator: WARNING: encryption is off Hax is enabled Hax ram_size 0x60000000 Failed to open vm 3 ...
задан 29 июня '17 в 4:09
14
ответов

Совместимость MySQL с MacOS Sierra

Кто-нибудь знает о каких-либо проблемах совместимости или причудах с MySQL Community Server/Workbench на macOS Sierra? Недавно я сделал установку на Mac, который никогда не поддерживал MySQL раньше, и, похоже, он работает некорректно. (Возможно, я пр...
задан 11 окт. '16 в 19:41
1
ответ

AppleEvents: получил mach msg, который не был сложным типом, как ожидалось в getMemoryReference

Я нахожусь на Xcode 9.2, OSX, Objective-C. Начиная с OSX High Sierra Update, я получаю много сообщений об ошибках, зарегистрированных таким образом: AppleEvents: received mach msg which wasn't complex type as expected in getMemoryReference. У мен...
задан 11 янв. '18 в 20:18
8
ответов

Код ошибки изменения контейнера APFS: 49153

Я пытаюсь изменить размер моего раздела Mac, однако я всегда получаю эту ошибку: Код ошибки изменения контейнера APFS - 49153 Ошибка: -69606: возникла проблема при изменении размера структуры контейнеров APFS используя приложение Disk Utility или...
задан 26 сент. '17 в 14:13
4
ответов

Ошибка установки VirtualBox в чистом OSX 10.13

Я сделал чистую установку High Sierra, Mac OS X 10.13 на моем Mac. Я установил несколько приложений, некоторые браузеры, webStorm, бродягу, скайп и слабину. При попытке установить virtualBox я получаю сообщение об ошибке: "Не удалось выполнить уст...
задан 19 окт. '17 в 17:55
1
ответ

Virtualbox не устанавливается на High Sierra

При установке Virtualbox через brew cask install virtualbox я получаю следующую ошибку: ==> Satisfying dependencies ==> Downloading http://download.virtualbox.org/virtualbox/5.1.28/VirtualBox-5.1.28-117968-OSX.dmg Already downloaded: /Users/r...
задан 03 окт. '17 в 16:48
1
ответ

Ошибка Swift4 в High Sierra, не может разрешить символ

У меня есть эта префауна, сделанная в Swift и Cocoa... Вчера я перенес ее в Swift 4 в качестве руководства по миграции и после некоторых начальных усилий все, казалось, работало отлично. Я сделал это на Sierra, запустив Xcode 9.0 с последним SDK. ...
задан 28 сент. '17 в 7:01
1
ответ

macOS (10.13 High Sierra) больше не сохраняет настройки заставки в com.apple.screensaver

До сих пор мой проект полагался на следующие команды, чтобы настроить настройки заставки: defaults write com.apple.screensaver askForPasswordDelay 0 defaults write com.apple.screensaver askForPassword true Как и в macOS High Sierra (10.13), похоже...
задан 24 авг. '17 в 20:10
1
ответ

Apple File System (APFS) Проверьте, является ли файл клоном на терминале (оболочке)

С macOS High Sierra доступна новая файловая система: APFS. Эта файловая система поддерживает операции клонирования файлов: нет дублирования данных при хранении. cp команда имеет флаг (-c), который разрешает клонирование в терминале (оболочке). Но...
задан 26 сент. '17 в 7:16